# NLIDatasets.jl

NLIDatasets.jl is a Julia package for working with datasets for the Natural Language Inference task (also called Relational Text Entailment, or RTE).

Provides an interface to the following datasets:

- [SNLI](@ref SNLI)
- [MultiNLI](@ref MultiNLI)
- [XNLI](@ref XNLI)
- [HANS](@ref HANS)
- [BreakingNLI](@ref BreakingNLI)
- [SciTail](@ref SciTail)
- [ANLI](@ref ANLI)

## SNLI
```@docs
NLIDatasets.SNLI
```

## MultiNLI
```@docs
NLIDatasets.MultiNLI
```

## XNLI
```@docs 
NLIDatasets.XNLI
```

## HANS
```@docs
NLIDatasets.HANS
```

## BreakingNLI
```@docs
NLIDatasets.BreakingNLI
```

## SciTail
```@docs
NLIDatasets.SciTail
```

## ANLI
```@docs
NLIDatasets.ANLI
```
